Subject: (ngtrans) DNS support for IPv6

From: Fernando Gont <[email-masked]>
Date: Tue, 04 Feb 2003 21:57:23 -0300

Hi,

I'm just about to write a brief explanation about the RRs that need to be 
added to the ones described in RFC 1034 / 1035, in order to add support for 
IPv6.

I've read RFC 3363, and it recommends that RFC 1886 stay on standards track 
and be advanced, and to move RFC 2874 to Experimental status.

Shall I make comments on AAAA records, and don't even mention A6 records?

About address mapping, RFC 3152 says IP6.ARPA should be used, instead IP6.INT.
The same here: shall I omit the description of IP6.INT, or it is still 
being used, and so, I should describe it?

TIA,
Fernando Gont

---

From: "Tony Hain" <[email-masked]>
Date: Tue, 4 Feb 2003 17:20:06 -0800

Fernando Gont wrote: 
> About address mapping, RFC 3152 says IP6.ARPA should be used, 
> instead IP6.INT. The same here: shall I omit the description 
> of IP6.INT, or it is still 

I believe that at this point for operational deployments, it is
appropriate to leave out A6 & IP6.INT. If you were going to discuss them
at all, an appendix comment about their current status as experimental
and deprecated might reduce some confusion. 

Since this is more of an operational nature, it should probably be
discussed on v6ops (cc'd).

Tony

---

From: Vladimir Ksinant <[email-masked]>
Date: Wed, 05 Feb 2003 09:40:12 +0100

Fernando,

For your information, the dnsext working group is currently updating RFC
1886 : 

http://www.ietf.org/internet-drafts/draft-ietf-dnsext-rfc1886bis-01.txt

This draft is currently in wg last call. The goal is to advance soon
this document to the draft standard status. 

The draft takes into account RFC 3152.

Vladimir

---

From: Bill Manning <[email-masked]>
Date: Wed, 5 Feb 2003 01:11:48 -0800 (PST)

% Hi,
% 
% I'm just about to write a brief explanation about the RRs that need to be 
% added to the ones described in RFC 1034 / 1035, in order to add support for 
% IPv6.
% 
% I've read RFC 3363, and it recommends that RFC 1886 stay on standards track 
% and be advanced, and to move RFC 2874 to Experimental status.
% 
% Shall I make comments on AAAA records, and don't even mention A6 records?
% 
% About address mapping, RFC 3152 says IP6.ARPA should be used, instead IP6.INT.
% The same here: shall I omit the description of IP6.INT, or it is still 
% being used, and so, I should describe it?
% 
% TIA,
% Fernando Gont

	IMHO,

	your primary focus should be on AAAA and IP6.ARPA

	it is worth mentioning A6, since they still exist and
	can be used.

	IP6.INT is hardcoded into most resolvers shipped since 
	1998, while IP6.ARPA has only been placed into resolver
	code in the last year.  Until all that old code is 
	abandoned by the endusers, IP6.INT will continue to be
	queried for answers... :(

	Normal code takeup rates suggest that IP6.INT will need
	to be maintained for at least the next decade.

--bill
Opinions expressed may not even be mine by the time you read them, and
certainly don't reflect those of any other entity (legal or otherwise).